#ifndef HARDWARE_H_
#define HARDWARE_H_

#include <avr32/ap7000.h>

#define SDRAM_BASE 0x10000000

#define LED_A 		0
#define LED_B 		1
#define LED_SYS 	2

void initHardware( void );
void setLED( int, int );
int udelay( int );

void initSerial( void );
void serialPutC( char );
void serialPutS( char * );

void readFromSerialFlash( int, void *, int );
void writeToSerialFlash( int, void *, int );

void initINTC( void );
void initUSB( void );
int intDisable( void );
int intEnable( void );

void usbaInterrupt( void );

#endif /*HARDWARE_H_*/
