.section .reset,"ax"

.global _start
.type   _start, @function

/* entry point */
_start:
		/* disable interrupts */
		ssrf	16
		ssrf	21

        /* setup stack */
        lda.w   sp, _estack			/* end of stack */

		/* copy data from flash to sram */
        lda.w   r11, _data_lma		/* data in flash */
        lda.w   r12, _data			/* begin of data */
        lda.w   r10, _edata			/* end of data */
        sub		r10, r12
		call	mymemcpy

		/* clear bss */
		lda.w	r12, __bss_start	/* start of bss */
		lda.w	r10, _end			/* end */
		sub		r10, r12
		mov		r11, 0
		call	mymemset

		call	main
		
