#include "lib.h"

char * numToString( char * string, const int num, int max_length )
{
	int divider = 1, len = 1, i = 0;
	
	while ( ( num / divider ) > 9 ) {
		divider *= 10;
		len++;
	}
	
	if ( len > max_length ) {
		string[ 0 ] = 0;
		return string;
	}
	
	while ( divider ) {
		string[ i++ ] = '0' + ( num / divider ) % 10;
		divider /= 10;
	}	
	
	string[ i ] = 0;
	return string;
}

